package WayMaker.GPS;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = true;
	private static final boolean includeTitle = false;
    private static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "WayMaker.GPS", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "WayMaker.GPS", "main");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
		processBA.raiseEvent(_activity, "activity_pause", activityBA.activity.isFinishing());
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
	
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.gps.GPS _gps1 = null;
public static String _chosen = "";
public static anywheresoftware.b4a.objects.SocketWrapper.ServerSocketWrapper _server = null;
public slidingpanels._slidingdata _sd = null;
public static boolean _btnleft = false;
public static boolean _btnright = false;
public static float _startx = 0f;
public static float _starty = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _addmarker = null;
public anywheresoftware.b4a.objects.ButtonWrapper _leftbutton = null;
public anywheresoftware.b4a.objects.ButtonWrapper _rightbutton = null;
public static String _latitude = "";
public static String _longitude = "";
public static String _latlong = "";
public static float _longtest = 0f;
public static float _lattest = 0f;
public static String _latlong2 = "";
public static boolean _autorefresh = false;
public static boolean _refreshnow = false;
public static int _latlong_length = 0;
public static String _okaytodraw = "";
public static String _tempstring = "";
public static String _tempstring2 = "";
public static float _tempnum = 0f;
public static float _tempnum2 = 0f;
public anywheresoftware.b4a.objects.WebViewWrapper _webview1 = null;
public static String _htmlcode = "";
public anywheresoftware.b4a.objects.LabelWrapper _statuslabel = null;
public static int _zoom = 0;
public anywheresoftware.b4a.objects.SpinnerWrapper _spinner_maptypes = null;
public anywheresoftware.b4a.objects.ButtonWrapper _leftbutton_screen2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _rightbutton_screen2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _rightbutton_screen1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _leftbutton_screen3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _refreshbutton = null;
public anywheresoftware.b4a.objects.EditTextWrapper _worldtour_latlong = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _cb_maprefresh = null;
public slidingpanels _slidingpanels = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
anywheresoftware.b4a.objects.PanelWrapper[] _panels = null;
 BA.debugLineNum = 55;BA.debugLine="Dim panels(3) As Panel";
_panels = new anywheresoftware.b4a.objects.PanelWrapper[(int)(3)];
{
int d0 = _panels.length;
for (int i0 = 0;i0 < d0;i0++) {
_panels[i0] = new anywheresoftware.b4a.objects.PanelWrapper();
}
}
;
 BA.debugLineNum = 57;BA.debugLine="panels(0).Initialize(\"panels\")";
_panels[(int)(0)].Initialize(mostCurrent.activityBA,"panels");
 BA.debugLineNum = 58;BA.debugLine="panels(1).Initialize(\"panels\")";
_panels[(int)(1)].Initialize(mostCurrent.activityBA,"panels");
 BA.debugLineNum = 59;BA.debugLine="panels(2).Initialize(\"panels\")";
_panels[(int)(2)].Initialize(mostCurrent.activityBA,"panels");
 BA.debugLineNum = 61;BA.debugLine="panels(0).LoadLayout(\"screen1\")";
_panels[(int)(0)].LoadLayout("screen1",mostCurrent.activityBA);
 BA.debugLineNum = 62;BA.debugLine="panels(1).LoadLayout(\"screen2\")";
_panels[(int)(1)].LoadLayout("screen2",mostCurrent.activityBA);
 BA.debugLineNum = 63;BA.debugLine="panels(2).LoadLayout(\"screen3\")";
_panels[(int)(2)].LoadLayout("screen3",mostCurrent.activityBA);
 BA.debugLineNum = 65;BA.debugLine="Activity.AddView(panels(0), 100%x, 0, 100%x, 100%y) 'add the panel to the layout";
mostCurrent._activity.AddView((android.view.View)(_panels[(int)(0)].getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 BA.debugLineNum = 66;BA.debugLine="Activity.AddView(panels(1), 100%x, 0, 100%x, 100%y) 'add the panel to the layout";
mostCurrent._activity.AddView((android.view.View)(_panels[(int)(1)].getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 BA.debugLineNum = 67;BA.debugLine="Activity.AddView(panels(2), 100%x, 0, 100%x, 100%y) 'add the panel to the layout";
mostCurrent._activity.AddView((android.view.View)(_panels[(int)(2)].getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 BA.debugLineNum = 69;BA.debugLine="sd.Initialize";
mostCurrent._sd.Initialize();
 BA.debugLineNum = 70;BA.debugLine="sd.Panels = panels";
mostCurrent._sd.Panels = _panels;
 BA.debugLineNum = 72;BA.debugLine="SlidingPanels.Initialize(sd, 500) ' 500 is the duration of the slide";
mostCurrent._slidingpanels._initialize(mostCurrent.activityBA,mostCurrent._sd,(int)(500));
 BA.debugLineNum = 74;BA.debugLine="ChangePanel(True) 'Current code expects the first call to be with Left = True.";
_changepanel(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 77;BA.debugLine="spinner_maptypes.Add(\"Street level photo view of your location\")";
mostCurrent._spinner_maptypes.Add("Street level photo view of your location");
 BA.debugLineNum = 78;BA.debugLine="spinner_maptypes.Add(\"Show walking directions between two changeable points\")";
mostCurrent._spinner_maptypes.Add("Show walking directions between two changeable points");
 BA.debugLineNum = 79;BA.debugLine="spinner_maptypes.Add(\"Show driving directions between two changeable points\")";
mostCurrent._spinner_maptypes.Add("Show driving directions between two changeable points");
 BA.debugLineNum = 80;BA.debugLine="spinner_maptypes.Add(\"KidSafe (copy full text with coordinates into box below\")";
mostCurrent._spinner_maptypes.Add("KidSafe (copy full text with coordinates into box below");
 BA.debugLineNum = 81;BA.debugLine="spinner_maptypes.Add(\"World tour....street view\")";
mostCurrent._spinner_maptypes.Add("World tour....street view");
 BA.debugLineNum = 83;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 BA.debugLineNum = 84;BA.debugLine="GPS1.Initialize(\"GPS\")";
_gps1.Initialize("GPS");
 BA.debugLineNum = 85;BA.debugLine="GPS1.Start(0, 0) 'Listen to GPS with no filters.";
_gps1.Start(processBA,(long)(0),(float)(0));
 BA.debugLineNum = 86;BA.debugLine="WebView1.Height = Activity.Height ' set webview height to screen height";
mostCurrent._webview1.setHeight(mostCurrent._activity.getHeight());
 BA.debugLineNum = 87;BA.debugLine="WebView1.Width = Activity.Width ' set webview width to current screen width";
mostCurrent._webview1.setWidth(mostCurrent._activity.getWidth());
 BA.debugLineNum = 88;BA.debugLine="WebView1.Top = 0";
mostCurrent._webview1.setTop((int)(0));
 BA.debugLineNum = 89;BA.debugLine="WebView1.Left = 0";
mostCurrent._webview1.setLeft((int)(0));
 BA.debugLineNum = 90;BA.debugLine="End If";
};
 BA.debugLineNum = 93;BA.debugLine="statuslabel.Text = \"Status:\" & CRLF";
mostCurrent._statuslabel.setText((Object)("Status:"+anywheresoftware.b4a.keywords.Common.CRLF));
 BA.debugLineNum = 94;BA.debugLine="If GPS1.GPSEnabled = False Then statuslabel.Text = \"No gps signal available. Using default location coordinates until gps lock is established, map will automatically redraw itself when coordinates are found\" & CRLF & CRLF";
if (_gps1.getGPSEnabled()==anywheresoftware.b4a.keywords.Common.False) { 
mostCurrent._statuslabel.setText((Object)("No gps signal available. Using default location coordinates until gps lock is established, map will automatically redraw itself when coordinates are found"+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF));};
 BA.debugLineNum = 95;BA.debugLine="If GPS1.GPSEnabled = True Then statuslabel.Text = \"Gps enabled\"";
if (_gps1.getGPSEnabled()==anywheresoftware.b4a.keywords.Common.True) { 
mostCurrent._statuslabel.setText((Object)("Gps enabled"));};
 BA.debugLineNum = 96;BA.debugLine="If Latitude <> \"51.513752\" AND GPS1.GPSEnabled = True Then statuslabel.Text = statuslabel.Text & \" and location identified. Please choose a map type to display by using the menu on the third screen. Maps will be shown on the middle screen.\"";
if ((mostCurrent._latitude).equals("51.513752") == false && _gps1.getGPSEnabled()==anywheresoftware.b4a.keywords.Common.True) { 
mostCurrent._statuslabel.setText((Object)(mostCurrent._statuslabel.getText()+" and location identified. Please choose a map type to display by using the menu on the third screen. Maps will be shown on the middle screen."));};
 BA.debugLineNum = 97;BA.debugLine="If GPS1.GPSEnabled = True Then statuslabel.Text = statuslabel.Text & CRLF & CRLF";
if (_gps1.getGPSEnabled()==anywheresoftware.b4a.keywords.Common.True) { 
mostCurrent._statuslabel.setText((Object)(mostCurrent._statuslabel.getText()+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF));};
 BA.debugLineNum = 100;BA.debugLine="If server.GetMyIP = \"127.0.0.1\" Then";
if ((_server.GetMyIP()).equals("127.0.0.1")) { 
 BA.debugLineNum = 101;BA.debugLine="statuslabel.Text = statuslabel.Text & \"You appear to have no internet connection available. Until you do have a connection the map data cannot be downloaded or displayed.\" & CRLF & CRLF";
mostCurrent._statuslabel.setText((Object)(mostCurrent._statuslabel.getText()+"You appear to have no internet connection available. Until you do have a connection the map data cannot be downloaded or displayed."+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF));
 BA.debugLineNum = 102;BA.debugLine="End If";
};
 BA.debugLineNum = 104;BA.debugLine="If server.GetMyIP <> \"127.0.0.1\" Then statuslabel.Text = statuslabel.Text & CRLF & \"You have an active internet connection, this means you can get map information for your current location.\"";
if ((_server.GetMyIP()).equals("127.0.0.1") == false) { 
mostCurrent._statuslabel.setText((Object)(mostCurrent._statuslabel.getText()+anywheresoftware.b4a.keywords.Common.CRLF+"You have an active internet connection, this means you can get map information for your current location."));};
 BA.debugLineNum = 105;BA.debugLine="drawmap ' draws the users chosen map";
_drawmap();
 BA.debugLineNum = 106;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 BA.debugLineNum = 148;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 BA.debugLineNum = 144;BA.debugLine="End Sub";
return "";
}
public static String  _animation1_animationend() throws Exception{
 BA.debugLineNum = 135;BA.debugLine="SlidingPanels.AnimationEnd(sd)";
mostCurrent._slidingpanels._animationend(mostCurrent.activityBA,mostCurrent._sd);
 BA.debugLineNum = 137;BA.debugLine="If sd.currentPanel = sd.panels.Length - 1 Then btnLeft= False Else btnLeft = True";
if (mostCurrent._sd.currentPanel==(int)(mostCurrent._sd.Panels.length-1)) { 
_btnleft = anywheresoftware.b4a.keywords.Common.False;}
else {
_btnleft = anywheresoftware.b4a.keywords.Common.True;};
 BA.debugLineNum = 138;BA.debugLine="If sd.currentPanel = 0 Then btnRight = False Else btnRight = True";
if (mostCurrent._sd.currentPanel==(int)(0)) { 
_btnright = anywheresoftware.b4a.keywords.Common.False;}
else {
_btnright = anywheresoftware.b4a.keywords.Common.True;};
 BA.debugLineNum = 139;BA.debugLine="End Sub";
return "";
}
public static String  _cb_maprefresh_checkedchange(boolean _checked) throws Exception{
 BA.debugLineNum = 362;BA.debugLine="If CB_MapRefresh.Checked = True Then autorefresh = True Else autorefresh = False";
if (mostCurrent._cb_maprefresh.getChecked()==anywheresoftware.b4a.keywords.Common.True) { 
_autorefresh = anywheresoftware.b4a.keywords.Common.True;}
else {
_autorefresh = anywheresoftware.b4a.keywords.Common.False;};
 BA.debugLineNum = 363;BA.debugLine="If autorefresh = True Then ToastMessageShow(\"Auto refresh enabled. You may find your internet connection cannot display the map in time if your location changes rapidly. If you cannot see maps uncheck this option.\", True)";
if (_autorefresh==anywheresoftware.b4a.keywords.Common.True) { 
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Auto refresh enabled. You may find your internet connection cannot display the map in time if your location changes rapidly. If you cannot see maps uncheck this option.",anywheresoftware.b4a.keywords.Common.True);};
 BA.debugLineNum = 364;BA.debugLine="End Sub";
return "";
}
public static String  _changepanel(boolean _left) throws Exception{
 BA.debugLineNum = 128;BA.debugLine="btnLeft = False";
_btnleft = anywheresoftware.b4a.keywords.Common.False;
 BA.debugLineNum = 129;BA.debugLine="btnRight = False";
_btnright = anywheresoftware.b4a.keywords.Common.False;
 BA.debugLineNum = 130;BA.debugLine="SlidingPanels.ChangePanel(sd, Left)";
mostCurrent._slidingpanels._changepanel(mostCurrent.activityBA,mostCurrent._sd,_left);
 BA.debugLineNum = 131;BA.debugLine="End Sub";
return "";
}
public static String  _drawmap() throws Exception{
String _oktodrawmap = "";
String[] _components = null;
 BA.debugLineNum = 207;BA.debugLine="oktodrawmap = \"acceptable\" ' If after checking coordinate data this changes map is not drawn";
_oktodrawmap = "acceptable";
 BA.debugLineNum = 209;BA.debugLine="If chosen.IndexOf(\"worldtour\") > -1 Then ' If a world tour option is chosen check the coordinates entered are valid";
if (_chosen.indexOf("worldtour")>(int)(-1)) { 
 BA.debugLineNum = 211;BA.debugLine="worldtour_latlong.Text = worldtour_latlong.Text.ToLowerCase";
mostCurrent._worldtour_latlong.setText((Object)(mostCurrent._worldtour_latlong.getText().toLowerCase()));
 BA.debugLineNum = 212;BA.debugLine="If worldtour_latlong.Text.IndexOf(\",\") = -1 Then oktodrawmap = \"You have not seperated coordinates with a comma\"";
if (mostCurrent._worldtour_latlong.getText().indexOf(",")==(int)(-1)) { 
_oktodrawmap = "You have not seperated coordinates with a comma";};
 BA.debugLineNum = 213;BA.debugLine="If worldtour_latlong.Text.IndexOf(\".\") = -1 Then oktodrawmap = \"You have not specified coordinates in the correct format\"";
if (mostCurrent._worldtour_latlong.getText().indexOf(".")==(int)(-1)) { 
_oktodrawmap = "You have not specified coordinates in the correct format";};
 BA.debugLineNum = 214;BA.debugLine="If worldtour_latlong.Text.Length <7 Then oktodrawmap = \"The coordinates are too short\"";
if (mostCurrent._worldtour_latlong.getText().length()<(int)(7)) { 
_oktodrawmap = "The coordinates are too short";};
 BA.debugLineNum = 215;BA.debugLine="If worldtour_latlong.Text = \"\" Then oktodrawmap = \"You must enter some coordinates before selecting a world tour option\"";
if ((mostCurrent._worldtour_latlong.getText()).equals("")) { 
_oktodrawmap = "You must enter some coordinates before selecting a world tour option";};
 BA.debugLineNum = 217;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"a\") > -1 OR worldtour_latlong.Text.IndexOf(\"b\") > -1 OR worldtour_latlong.Text.IndexOf(\"c\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("a")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("b")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("c")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 218;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"d\") > -1 OR worldtour_latlong.Text.IndexOf(\"e\") > -1 OR worldtour_latlong.Text.IndexOf(\"f\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("d")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("e")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("f")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 219;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"g\") > -1 OR worldtour_latlong.Text.IndexOf(\"h\") > -1 OR worldtour_latlong.Text.IndexOf(\"i\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("g")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("h")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("i")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 220;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"j\") > -1 OR worldtour_latlong.Text.IndexOf(\"k\") > -1 OR worldtour_latlong.Text.IndexOf(\"l\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("j")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("k")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("l")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 221;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"m\") > -1 OR worldtour_latlong.Text.IndexOf(\"n\") > -1 OR worldtour_latlong.Text.IndexOf(\"o\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("m")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("n")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("o")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 222;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"p\") > -1 OR worldtour_latlong.Text.IndexOf(\"q\") > -1 OR worldtour_latlong.Text.IndexOf(\"r\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("p")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("q")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("r")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 223;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"s\") > -1 OR worldtour_latlong.Text.IndexOf(\"t\") > -1 OR worldtour_latlong.Text.IndexOf(\"u\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("s")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("t")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("u")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 224;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"v\") > -1 OR worldtour_latlong.Text.IndexOf(\"w\") > -1 OR worldtour_latlong.Text.IndexOf(\"x\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("v")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("w")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("x")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 225;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"y\") > -1 OR worldtour_latlong.Text.IndexOf(\"z\") > -1 Then tempstring = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("y")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("z")>(int)(-1)) { 
mostCurrent._tempstring = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 227;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"!\") > -1 OR worldtour_latlong.Text.IndexOf(\"$\") > -1 OR worldtour_latlong.Text.IndexOf(\"%\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("!")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("$")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("%")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 228;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"+\") > -1 OR worldtour_latlong.Text.IndexOf(\"=\") > -1 OR worldtour_latlong.Text.IndexOf(\"@\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("+")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("=")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("@")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 229;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"/\") > -1 OR worldtour_latlong.Text.IndexOf(\"#\") > -1 OR worldtour_latlong.Text.IndexOf(\"*\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("/")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("#")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("*")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 230;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"[\") > -1 OR worldtour_latlong.Text.IndexOf(\";\") > -1 OR worldtour_latlong.Text.IndexOf(\":\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("[")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf(";")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf(":")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 231;BA.debugLine="End If";
};
 BA.debugLineNum = 233;BA.debugLine="If chosen.IndexOf(\"kidsafe\") > -1 Then";
if (_chosen.indexOf("kidsafe")>(int)(-1)) { 
 BA.debugLineNum = 234;BA.debugLine="oktodrawmap = \"acceptable\"";
_oktodrawmap = "acceptable";
 BA.debugLineNum = 236;BA.debugLine="worldtour_latlong.Text = worldtour_latlong.Text.ToLowerCase";
mostCurrent._worldtour_latlong.setText((Object)(mostCurrent._worldtour_latlong.getText().toLowerCase()));
 BA.debugLineNum = 237;BA.debugLine="worldtour_latlong.Text = worldtour_latlong.Text.Replace(\"i am at http://maps.google.com/maps/api/staticmap?center=\", \" \")";
mostCurrent._worldtour_latlong.setText((Object)(mostCurrent._worldtour_latlong.getText().replace("i am at http://maps.google.com/maps/api/staticmap?center="," ")));
 BA.debugLineNum = 238;BA.debugLine="worldtour_latlong.Text = worldtour_latlong.Text.Replace(\"&zoom=19&size=600x600&maptype=hybrid&sensor=false\", \" \")";
mostCurrent._worldtour_latlong.setText((Object)(mostCurrent._worldtour_latlong.getText().replace("&zoom=19&size=600x600&maptype=hybrid&sensor=false"," ")));
 BA.debugLineNum = 239;BA.debugLine="worldtour_latlong.Text = worldtour_latlong.Text.Replace(\"gsm location: http://maps.google.com/maps/api/staticmap?center=\", \" \")";
mostCurrent._worldtour_latlong.setText((Object)(mostCurrent._worldtour_latlong.getText().replace("gsm location: http://maps.google.com/maps/api/staticmap?center="," ")));
 BA.debugLineNum = 240;BA.debugLine="worldtour_latlong.Text = worldtour_latlong.Text.Replace(\"&zoom=19&size=600x600&maptype=hybrid&sensor=false\", \" \")";
mostCurrent._worldtour_latlong.setText((Object)(mostCurrent._worldtour_latlong.getText().replace("&zoom=19&size=600x600&maptype=hybrid&sensor=false"," ")));
 BA.debugLineNum = 241;BA.debugLine="worldtour_latlong.Text = worldtour_latlong.Text.Trim";
mostCurrent._worldtour_latlong.setText((Object)(mostCurrent._worldtour_latlong.getText().trim()));
 BA.debugLineNum = 242;BA.debugLine="If worldtour_latlong.Text.IndexOf(\",\") = -1 Then oktodrawmap = \"You have not seperated coordinates with a comma\"";
if (mostCurrent._worldtour_latlong.getText().indexOf(",")==(int)(-1)) { 
_oktodrawmap = "You have not seperated coordinates with a comma";};
 BA.debugLineNum = 243;BA.debugLine="If worldtour_latlong.Text.IndexOf(\".\") = -1 Then oktodrawmap = \"You have not specified coordinates in the correct format\"";
if (mostCurrent._worldtour_latlong.getText().indexOf(".")==(int)(-1)) { 
_oktodrawmap = "You have not specified coordinates in the correct format";};
 BA.debugLineNum = 244;BA.debugLine="If worldtour_latlong.Text.Length <5 Then oktodrawmap = \"The coordinates are too short\"";
if (mostCurrent._worldtour_latlong.getText().length()<(int)(5)) { 
_oktodrawmap = "The coordinates are too short";};
 BA.debugLineNum = 245;BA.debugLine="If worldtour_latlong.Text = \"\" Then oktodrawmap = \"You must enter some coordinates before selecting a world tour option\"";
if ((mostCurrent._worldtour_latlong.getText()).equals("")) { 
_oktodrawmap = "You must enter some coordinates before selecting a world tour option";};
 BA.debugLineNum = 247;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"a\") > -1 OR worldtour_latlong.Text.IndexOf(\"b\") > -1 OR worldtour_latlong.Text.IndexOf(\"c\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("a")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("b")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("c")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 248;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"d\") > -1 OR worldtour_latlong.Text.IndexOf(\"e\") > -1 OR worldtour_latlong.Text.IndexOf(\"f\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("d")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("e")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("f")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 249;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"g\") > -1 OR worldtour_latlong.Text.IndexOf(\"h\") > -1 OR worldtour_latlong.Text.IndexOf(\"i\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("g")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("h")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("i")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 250;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"j\") > -1 OR worldtour_latlong.Text.IndexOf(\"k\") > -1 OR worldtour_latlong.Text.IndexOf(\"l\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("j")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("k")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("l")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 251;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"m\") > -1 OR worldtour_latlong.Text.IndexOf(\"n\") > -1 OR worldtour_latlong.Text.IndexOf(\"o\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("m")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("n")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("o")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 252;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"p\") > -1 OR worldtour_latlong.Text.IndexOf(\"q\") > -1 OR worldtour_latlong.Text.IndexOf(\"r\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("p")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("q")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("r")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 253;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"s\") > -1 OR worldtour_latlong.Text.IndexOf(\"t\") > -1 OR worldtour_latlong.Text.IndexOf(\"u\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("s")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("t")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("u")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 254;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"v\") > -1 OR worldtour_latlong.Text.IndexOf(\"w\") > -1 OR worldtour_latlong.Text.IndexOf(\"x\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("v")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("w")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("x")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 255;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"y\") > -1 OR worldtour_latlong.Text.IndexOf(\"z\") > -1 Then oktodrawmap = \"Coordinates cannot include letters of the alphabet\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("y")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("z")>(int)(-1)) { 
_oktodrawmap = "Coordinates cannot include letters of the alphabet";};
 BA.debugLineNum = 257;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"!\") > -1 OR worldtour_latlong.Text.IndexOf(\"$\") > -1 OR worldtour_latlong.Text.IndexOf(\"%\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("!")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("$")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("%")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 258;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"+\") > -1 OR worldtour_latlong.Text.IndexOf(\"=\") > -1 OR worldtour_latlong.Text.IndexOf(\"@\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("+")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("=")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("@")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 259;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"/\") > -1 OR worldtour_latlong.Text.IndexOf(\"#\") > -1 OR worldtour_latlong.Text.IndexOf(\"*\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("/")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("#")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf("*")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 260;BA.debugLine="If worldtour_latlong.Text.IndexOf(\"[\") > -1 OR worldtour_latlong.Text.IndexOf(\";\") > -1 OR worldtour_latlong.Text.IndexOf(\":\") > -1 Then oktodrawmap = \"Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984\"";
if (mostCurrent._worldtour_latlong.getText().indexOf("[")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf(";")>(int)(-1) || mostCurrent._worldtour_latlong.getText().indexOf(":")>(int)(-1)) { 
_oktodrawmap = "Only valid coordinate characters can be accepted. Please type in a valid location for example 53.340194,-1.603984";};
 BA.debugLineNum = 261;BA.debugLine="If oktodrawmap = \"acceptable\" Then ProgressDialogShow(\"Downloading photo image of KidSafe location. This could take a minute on slow connections\")";
if ((_oktodrawmap).equals("acceptable")) { 
anywheresoftware.b4a.keywords.Common.ProgressDialogShow(mostCurrent.activityBA,"Downloading photo image of KidSafe location. This could take a minute on slow connections");};
 BA.debugLineNum = 262;BA.debugLine="HtmlCode = File.GetText(File.DirAssets, \"streetview.txt\") ' put content of text file into HtmlCode string variable";
mostCurrent._htmlcode = anywheresoftware.b4a.keywords.Common.File.GetText(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"streetview.txt");
 BA.debugLineNum = 263;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG*\", LatLong) ' replace *LATLONG* with latitude and longitude";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG*",mostCurrent._latlong);
 BA.debugLineNum = 264;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*WIDTH*\", Activity.Width & \"px\") ' replace maps width with screens width";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*WIDTH*",BA.NumberToString(mostCurrent._activity.getWidth())+"px");
 BA.debugLineNum = 265;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*HEIGHT*\", Activity.Height & \"px\") ' replace maps height with screens height";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*HEIGHT*",BA.NumberToString(mostCurrent._activity.getHeight())+"px");
 BA.debugLineNum = 266;BA.debugLine="End If";
};
 BA.debugLineNum = 268;BA.debugLine="If chosen = \"worldtourstreet\" AND oktodrawmap = \"acceptable\" Then";
if ((_chosen).equals("worldtourstreet") && (_oktodrawmap).equals("acceptable")) { 
 BA.debugLineNum = 269;BA.debugLine="ProgressDialogShow(\"Downloading photo images. This could take a minute on slow connections\")";
anywheresoftware.b4a.keywords.Common.ProgressDialogShow(mostCurrent.activityBA,"Downloading photo images. This could take a minute on slow connections");
 BA.debugLineNum = 270;BA.debugLine="HtmlCode = File.GetText(File.DirAssets, \"streetview.txt\")";
mostCurrent._htmlcode = anywheresoftware.b4a.keywords.Common.File.GetText(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"streetview.txt");
 BA.debugLineNum = 271;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG*\", worldtour_latlong.Text)";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG*",mostCurrent._worldtour_latlong.getText());
 BA.debugLineNum = 272;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*WIDTH*\", Activity.Width & \"px\")";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*WIDTH*",BA.NumberToString(mostCurrent._activity.getWidth())+"px");
 BA.debugLineNum = 273;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*HEIGHT*\", Activity.Height & \"px\")";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*HEIGHT*",BA.NumberToString(mostCurrent._activity.getHeight())+"px");
 BA.debugLineNum = 274;BA.debugLine="End If";
};
 BA.debugLineNum = 278;BA.debugLine="If chosen = \"walkingdirections\" Then";
if ((_chosen).equals("walkingdirections")) { 
 BA.debugLineNum = 279;BA.debugLine="If Longitude.Length >2 Then ' As long as the coordinates have at least 2 numbers following the decimal then do the following";
if (mostCurrent._longitude.length()>(int)(2)) { 
 BA.debugLineNum = 281;BA.debugLine="Dim components() As String";
_components = new String[(int)(0)];
java.util.Arrays.fill(_components,"");
 BA.debugLineNum = 282;BA.debugLine="components = Regex.Split(\"\\.\", Longitude)";
_components = anywheresoftware.b4a.keywords.Common.Regex.Split("\\.",mostCurrent._longitude);
 BA.debugLineNum = 284;BA.debugLine="tempstring = components(1).SubString2(0,2)";
mostCurrent._tempstring = _components[(int)(1)].substring((int)(0),(int)(2));
 BA.debugLineNum = 286;BA.debugLine="If IsNumber(tempstring) Then tempnum = tempstring + 1";
if (anywheresoftware.b4a.keywords.Common.IsNumber(mostCurrent._tempstring)) { 
_tempnum = (float)((double)(Double.parseDouble(mostCurrent._tempstring))+1);};
 BA.debugLineNum = 288;BA.debugLine="If tempnum >99 Then tempnum = 98";
if (_tempnum>(float)(99)) { 
_tempnum = (float)(98);};
 BA.debugLineNum = 290;BA.debugLine="If tempnum >9 Then tempstring2 = components(0) & \".\" & tempnum & components(1).SubString2(2, components(1).Length)";
if (_tempnum>(float)(9)) { 
mostCurrent._tempstring2 = _components[(int)(0)]+"."+BA.NumberToString(_tempnum)+_components[(int)(1)].substring((int)(2),_components[(int)(1)].length());};
 BA.debugLineNum = 292;BA.debugLine="If tempnum <10 Then tempstring2 = components(0) & \".\" & \"0\" & tempnum & components(1).SubString2(1,components(1).Length-1)";
if (_tempnum<(float)(10)) { 
mostCurrent._tempstring2 = _components[(int)(0)]+"."+"0"+BA.NumberToString(_tempnum)+_components[(int)(1)].substring((int)(1),(int)(_components[(int)(1)].length()-1));};
 BA.debugLineNum = 293;BA.debugLine="End If";
};
 BA.debugLineNum = 294;BA.debugLine="LatLong2 = Latitude & \",\" & tempstring2";
mostCurrent._latlong2 = mostCurrent._latitude+","+mostCurrent._tempstring2;
 BA.debugLineNum = 295;BA.debugLine="Log(latlong & \" \" & latlong2)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._latlong+" "+mostCurrent._latlong2);
 BA.debugLineNum = 296;BA.debugLine="ProgressDialogShow(\"Downloading walking directions and map\")";
anywheresoftware.b4a.keywords.Common.ProgressDialogShow(mostCurrent.activityBA,"Downloading walking directions and map");
 BA.debugLineNum = 297;BA.debugLine="HtmlCode = File.GetText(File.DirAssets, \"walking.txt\")";
mostCurrent._htmlcode = anywheresoftware.b4a.keywords.Common.File.GetText(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"walking.txt");
 BA.debugLineNum = 298;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG2*\", LatLong2)";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG2*",mostCurrent._latlong2);
 BA.debugLineNum = 299;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG*\", LatLong)";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG*",mostCurrent._latlong);
 BA.debugLineNum = 300;BA.debugLine="End If";
};
 BA.debugLineNum = 302;BA.debugLine="If chosen = \"streetview\" Then";
if ((_chosen).equals("streetview")) { 
 BA.debugLineNum = 303;BA.debugLine="ProgressDialogShow(\"Downloading photo images. This could take a minute on slow connections\")";
anywheresoftware.b4a.keywords.Common.ProgressDialogShow(mostCurrent.activityBA,"Downloading photo images. This could take a minute on slow connections");
 BA.debugLineNum = 304;BA.debugLine="HtmlCode = File.GetText(File.DirAssets, \"streetview.txt\")";
mostCurrent._htmlcode = anywheresoftware.b4a.keywords.Common.File.GetText(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"streetview.txt");
 BA.debugLineNum = 305;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG*\", LatLong)";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG*",mostCurrent._latlong);
 BA.debugLineNum = 306;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*WIDTH*\", Activity.Width & \"px\")";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*WIDTH*",BA.NumberToString(mostCurrent._activity.getWidth())+"px");
 BA.debugLineNum = 307;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*HEIGHT*\", Activity.Height & \"px\")";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*HEIGHT*",BA.NumberToString(mostCurrent._activity.getHeight())+"px");
 BA.debugLineNum = 308;BA.debugLine="End If";
};
 BA.debugLineNum = 310;BA.debugLine="If chosen = \"worldtourstreet\" AND tempstring = \"acceptable\" Then";
if ((_chosen).equals("worldtourstreet") && (mostCurrent._tempstring).equals("acceptable")) { 
 BA.debugLineNum = 311;BA.debugLine="ProgressDialogShow(\"Downloading photo images. This could take a minute on slow connections\")";
anywheresoftware.b4a.keywords.Common.ProgressDialogShow(mostCurrent.activityBA,"Downloading photo images. This could take a minute on slow connections");
 BA.debugLineNum = 312;BA.debugLine="HtmlCode = File.GetText(File.DirAssets, \"streetview.txt\")";
mostCurrent._htmlcode = anywheresoftware.b4a.keywords.Common.File.GetText(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"streetview.txt");
 BA.debugLineNum = 313;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG*\", worldtour_latlong.Text)";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG*",mostCurrent._worldtour_latlong.getText());
 BA.debugLineNum = 314;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*WIDTH*\", Activity.Width & \"px\")";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*WIDTH*",BA.NumberToString(mostCurrent._activity.getWidth())+"px");
 BA.debugLineNum = 315;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*HEIGHT*\", Activity.Height & \"px\")";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*HEIGHT*",BA.NumberToString(mostCurrent._activity.getHeight())+"px");
 BA.debugLineNum = 316;BA.debugLine="End If";
};
 BA.debugLineNum = 319;BA.debugLine="If chosen = \"driving\" Then";
if ((_chosen).equals("driving")) { 
 BA.debugLineNum = 320;BA.debugLine="If Longitude.Length >2 Then ' As long as the coordinates have at least 2 numbers following the decimal then do the following";
if (mostCurrent._longitude.length()>(int)(2)) { 
 BA.debugLineNum = 322;BA.debugLine="Dim components() As String";
_components = new String[(int)(0)];
java.util.Arrays.fill(_components,"");
 BA.debugLineNum = 323;BA.debugLine="components = Regex.Split(\"\\.\", Longitude)";
_components = anywheresoftware.b4a.keywords.Common.Regex.Split("\\.",mostCurrent._longitude);
 BA.debugLineNum = 325;BA.debugLine="tempstring = components(1).SubString2(0,2)";
mostCurrent._tempstring = _components[(int)(1)].substring((int)(0),(int)(2));
 BA.debugLineNum = 327;BA.debugLine="If IsNumber(tempstring) Then tempnum = tempstring + 8";
if (anywheresoftware.b4a.keywords.Common.IsNumber(mostCurrent._tempstring)) { 
_tempnum = (float)((double)(Double.parseDouble(mostCurrent._tempstring))+8);};
 BA.debugLineNum = 329;BA.debugLine="If tempnum >99 Then tempnum = 98";
if (_tempnum>(float)(99)) { 
_tempnum = (float)(98);};
 BA.debugLineNum = 331;BA.debugLine="If tempnum >9 Then tempstring2 = components(0) & \".\" & tempnum & components(1).SubString2(2, components(1).Length)";
if (_tempnum>(float)(9)) { 
mostCurrent._tempstring2 = _components[(int)(0)]+"."+BA.NumberToString(_tempnum)+_components[(int)(1)].substring((int)(2),_components[(int)(1)].length());};
 BA.debugLineNum = 333;BA.debugLine="If tempnum <10 Then tempstring2 = components(0) & \".\" & \"0\" & tempnum & components(1).SubString2(1,components(1).Length-1)";
if (_tempnum<(float)(10)) { 
mostCurrent._tempstring2 = _components[(int)(0)]+"."+"0"+BA.NumberToString(_tempnum)+_components[(int)(1)].substring((int)(1),(int)(_components[(int)(1)].length()-1));};
 BA.debugLineNum = 334;BA.debugLine="End If";
};
 BA.debugLineNum = 335;BA.debugLine="LatLong2 = Latitude & \",\" & tempstring2";
mostCurrent._latlong2 = mostCurrent._latitude+","+mostCurrent._tempstring2;
 BA.debugLineNum = 336;BA.debugLine="Log(latlong & \" \" & latlong2)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._latlong+" "+mostCurrent._latlong2);
 BA.debugLineNum = 337;BA.debugLine="ProgressDialogShow(\"Downloading driving directions and map\")";
anywheresoftware.b4a.keywords.Common.ProgressDialogShow(mostCurrent.activityBA,"Downloading driving directions and map");
 BA.debugLineNum = 338;BA.debugLine="HtmlCode = File.GetText(File.DirAssets, \"walking.txt\")";
mostCurrent._htmlcode = anywheresoftware.b4a.keywords.Common.File.GetText(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"walking.txt");
 BA.debugLineNum = 339;BA.debugLine="HtmlCode = HtmlCode.Replace(\".WALKING\", \".DRIVING\")";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace(".WALKING",".DRIVING");
 BA.debugLineNum = 340;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG2*\", LatLong2)";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG2*",mostCurrent._latlong2);
 BA.debugLineNum = 341;BA.debugLine="HtmlCode = HtmlCode.Replace(\"*LATLONG*\", LatLong)";
mostCurrent._htmlcode = mostCurrent._htmlcode.replace("*LATLONG*",mostCurrent._latlong);
 BA.debugLineNum = 342;BA.debugLine="End If";
};
 BA.debugLineNum = 345;BA.debugLine="If oktodrawmap = \"acceptable\" Then WebView1.LoadHtml(HtmlCode) Else Msgbox(\"The current gps coordinates appear to be invalid\", \"Error drawing map:\")";
if ((_oktodrawmap).equals("acceptable")) { 
mostCurrent._webview1.LoadHtml(mostCurrent._htmlcode);}
else {
anywheresoftware.b4a.keywords.Common.Msgbox("The current gps coordinates appear to be invalid","Error drawing map:",mostCurrent.activityBA);};
 BA.debugLineNum = 347;BA.debugLine="If oktodrawmap = \"acceptable\" AND server.GetMyIP = \"127.0.0.1\" Then";
if ((_oktodrawmap).equals("acceptable") && (_server.GetMyIP()).equals("127.0.0.1")) { 
 BA.debugLineNum = 351;BA.debugLine="Msgbox(\"It appears that your internet connection is not working. If the map does not download please check your connection status.\", \"Error:\")";
anywheresoftware.b4a.keywords.Common.Msgbox("It appears that your internet connection is not working. If the map does not download please check your connection status.","Error:",mostCurrent.activityBA);
 BA.debugLineNum = 352;BA.debugLine="ProgressDialogHide";
anywheresoftware.b4a.keywords.Common.ProgressDialogHide();
 BA.debugLineNum = 353;BA.debugLine="End If";
};
 BA.debugLineNum = 355;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
slidingpanels._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static String  _globals() throws Exception{
 BA.debugLineNum = 13;BA.debugLine="Dim sd As SlidingData 'The object that holds the for SlidingPanels";
mostCurrent._sd = new slidingpanels._slidingdata();
 BA.debugLineNum = 14;BA.debugLine="Dim btnLeft, btnRight As Boolean";
_btnleft = false;
_btnright = false;
 BA.debugLineNum = 15;BA.debugLine="Dim startX, startY As Float '<-new global variables";
_startx = 0f;
_starty = 0f;
 BA.debugLineNum = 16;BA.debugLine="Dim addmarker As Button";
mostCurrent._addmarker = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 17;BA.debugLine="Dim leftbutton As Button";
mostCurrent._leftbutton = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 18;BA.debugLine="Dim rightbutton As Button";
mostCurrent._rightbutton = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 19;BA.debugLine="Dim Latitude As String";
mostCurrent._latitude = "";
 BA.debugLineNum = 20;BA.debugLine="Dim Longitude As String";
mostCurrent._longitude = "";
 BA.debugLineNum = 21;BA.debugLine="Dim LatLong As String";
mostCurrent._latlong = "";
 BA.debugLineNum = 22;BA.debugLine="Dim LongTest As Float";
_longtest = 0f;
 BA.debugLineNum = 23;BA.debugLine="Dim LatTest As Float";
_lattest = 0f;
 BA.debugLineNum = 24;BA.debugLine="Dim LatLong2 As String";
mostCurrent._latlong2 = "";
 BA.debugLineNum = 25;BA.debugLine="Dim autorefresh As Boolean";
_autorefresh = false;
 BA.debugLineNum = 26;BA.debugLine="Dim refreshnow As Boolean";
_refreshnow = false;
 BA.debugLineNum = 27;BA.debugLine="autorefresh = False";
_autorefresh = anywheresoftware.b4a.keywords.Common.False;
 BA.debugLineNum = 28;BA.debugLine="Dim LatLong_length As Int";
_latlong_length = 0;
 BA.debugLineNum = 29;BA.debugLine="Dim okaytodraw, tempstring, tempstring2 As String";
mostCurrent._okaytodraw = "";
mostCurrent._tempstring = "";
mostCurrent._tempstring2 = "";
 BA.debugLineNum = 30;BA.debugLine="Dim tempnum, tempnum2 As Float";
_tempnum = 0f;
_tempnum2 = 0f;
 BA.debugLineNum = 31;BA.debugLine="autorefresh = False";
_autorefresh = anywheresoftware.b4a.keywords.Common.False;
 BA.debugLineNum = 32;BA.debugLine="Latitude = \"51.513752\"";
mostCurrent._latitude = "51.513752";
 BA.debugLineNum = 33;BA.debugLine="Longitude = \"-0.0995281\"";
mostCurrent._longitude = "-0.0995281";
 BA.debugLineNum = 34;BA.debugLine="LatLong = Latitude & \",\" & Longitude";
mostCurrent._latlong = mostCurrent._latitude+","+mostCurrent._longitude;
 BA.debugLineNum = 35;BA.debugLine="chosen = \"walkingdirections\" ' default maptype is one showing walking directions";
_chosen = "walkingdirections";
 BA.debugLineNum = 36;BA.debugLine="server.Initialize(0, \"\")";
_server.Initialize(processBA,(int)(0),"");
 BA.debugLineNum = 37;BA.debugLine="Dim WebView1 As WebView";
mostCurrent._webview1 = new anywheresoftware.b4a.objects.WebViewWrapper();
 BA.debugLineNum = 38;BA.debugLine="Dim HtmlCode As String ' This will hold the html code that generates a map";
mostCurrent._htmlcode = "";
 BA.debugLineNum = 39;BA.debugLine="Dim statuslabel As Label";
mostCurrent._statuslabel = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 40;BA.debugLine="Dim Zoom As Int";
_zoom = 0;
 BA.debugLineNum = 41;BA.debugLine="Zoom = 16";
_zoom = (int)(16);
 BA.debugLineNum = 42;BA.debugLine="refreshnow = True";
_refreshnow = anywheresoftware.b4a.keywords.Common.True;
 BA.debugLineNum = 43;BA.debugLine="Dim spinner_maptypes As Spinner ' This spinner will show the user the choice of available map types";
mostCurrent._spinner_maptypes = new anywheresoftware.b4a.objects.SpinnerWrapper();
 BA.debugLineNum = 44;BA.debugLine="Dim leftbutton_screen2 As Button";
mostCurrent._leftbutton_screen2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 45;BA.debugLine="Dim rightbutton_screen2 As Button";
mostCurrent._rightbutton_screen2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 46;BA.debugLine="Dim rightbutton_screen1 As Button";
mostCurrent._rightbutton_screen1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 47;BA.debugLine="Dim leftbutton_screen3 As Button";
mostCurrent._leftbutton_screen3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 48;BA.debugLine="Dim refreshbutton As Button ' This is the button on screen two that redraws the map";
mostCurrent._refreshbutton = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 49;BA.debugLine="Dim worldtour_latlong As EditText ' This holds the manually entered coordinates";
mostCurrent._worldtour_latlong = new anywheresoftware.b4a.objects.EditTextWrapper();
 BA.debugLineNum = 50;BA.debugLine="Dim CB_MapRefresh As CheckBox ' The checkbox that enables or disables automatic map updating when location changes";
mostCurrent._cb_maprefresh = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 BA.debugLineNum = 51;BA.debugLine="End Sub";
return "";
}
public static String  _gps_locationchanged(anywheresoftware.b4a.gps.LocationWrapper _location1) throws Exception{
 BA.debugLineNum = 152;BA.debugLine="tempstring = Longitude";
mostCurrent._tempstring = mostCurrent._longitude;
 BA.debugLineNum = 153;BA.debugLine="Latitude = Location1.Latitude ' Store the new latitude position in this string";
mostCurrent._latitude = BA.NumberToString(_location1.getLatitude());
 BA.debugLineNum = 154;BA.debugLine="Longitude = Location1.Longitude ' Store the new longitude position in this string";
mostCurrent._longitude = BA.NumberToString(_location1.getLongitude());
 BA.debugLineNum = 155;BA.debugLine="LatLong = Latitude & \",\" & Longitude";
mostCurrent._latlong = mostCurrent._latitude+","+mostCurrent._longitude;
 BA.debugLineNum = 156;BA.debugLine="If autorefresh = True OR refreshnow = True Then drawmap ' If auto refresh is enabled then draw the map whenever the location changes";
if (_autorefresh==anywheresoftware.b4a.keywords.Common.True || _refreshnow==anywheresoftware.b4a.keywords.Common.True) { 
_drawmap();};
 BA.debugLineNum = 157;BA.debugLine="If refreshnow = True Then refreshnow = False";
if (_refreshnow==anywheresoftware.b4a.keywords.Common.True) { 
_refreshnow = anywheresoftware.b4a.keywords.Common.False;};
 BA.debugLineNum = 159;BA.debugLine="End Sub";
return "";
}
public static String  _gps_userenabled(boolean _enabled) throws Exception{
 BA.debugLineNum = 162;BA.debugLine="If Enabled = False Then startgps";
if (_enabled==anywheresoftware.b4a.keywords.Common.False) { 
_startgps();};
 BA.debugLineNum = 163;BA.debugLine="End Sub";
return "";
}
public static String  _leftbutton_screen2_click() throws Exception{
 BA.debugLineNum = 190;BA.debugLine="ChangePanel(False)";
_changepanel(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 191;BA.debugLine="End Sub";
return "";
}
public static String  _leftbutton_screen3_click() throws Exception{
 BA.debugLineNum = 202;BA.debugLine="ChangePanel(False)";
_changepanel(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 203;BA.debugLine="End Sub";
return "";
}
public static String  _panels_touch(int _action,float _x,float _y) throws Exception{
 BA.debugLineNum = 109;BA.debugLine="Select Action";
switch (BA.switchObjectToInt(_action,mostCurrent._activity.ACTION_DOWN,mostCurrent._activity.ACTION_UP)) {
case 0:
 BA.debugLineNum = 111;BA.debugLine="startX = X";
_startx = _x;
 BA.debugLineNum = 112;BA.debugLine="startY = Y";
_starty = _y;
 BA.debugLineNum = 113;BA.debugLine="Case Activity.ACTION_UP";
break;
case 1:
 BA.debugLineNum = 114;BA.debugLine="If Abs(y - startY) > 20%y Then Return";
if (anywheresoftware.b4a.keywords.Common.Abs(_y-_starty)>anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(20),mostCurrent.activityBA)) { 
if (true) return "";};
 BA.debugLineNum = 115;BA.debugLine="If X - startX > 30%x AND btnRight = True Then";
if (_x-_startx>anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA) && _btnright==anywheresoftware.b4a.keywords.Common.True) { 
 BA.debugLineNum = 116;BA.debugLine="ChangePanel(False)";
_changepanel(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 117;BA.debugLine="Else If startX - x > 30%x AND btnLeft = True Then";
}else if(_startx-_x>anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA) && _btnleft==anywheresoftware.b4a.keywords.Common.True) { 
 BA.debugLineNum = 118;BA.debugLine="ChangePanel(True)";
_changepanel(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 119;BA.debugLine="End If";
};
 BA.debugLineNum = 120;BA.debugLine="End Select";
break;
}
;
 BA.debugLineNum = 121;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 BA.debugLineNum = 5;BA.debugLine="Dim GPS1 As GPS";
_gps1 = new anywheresoftware.b4a.gps.GPS();
 BA.debugLineNum = 6;BA.debugLine="Dim chosen As String";
_chosen = "";
 BA.debugLineNum = 7;BA.debugLine="Dim server As ServerSocket";
_server = new anywheresoftware.b4a.objects.SocketWrapper.ServerSocketWrapper();
 BA.debugLineNum = 8;BA.debugLine="End Sub";
return "";
}
public static String  _refreshbutton_click() throws Exception{
 BA.debugLineNum = 358;BA.debugLine="If Msgbox2(\"Map will be redrawn using the current locations co-ordinates. Are you sure? \", \"Refresh map?\", \"Yes\", \"\", \"No\", Null) = DialogResponse.POSITIVE Then drawmap";
if (anywheresoftware.b4a.keywords.Common.Msgbox2("Map will be redrawn using the current locations co-ordinates. Are you sure? ","Refresh map?","Yes","","No",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
_drawmap();};
 BA.debugLineNum = 359;BA.debugLine="End Sub";
return "";
}
public static String  _rightbutton_screen1_click() throws Exception{
 BA.debugLineNum = 198;BA.debugLine="ChangePanel(True)";
_changepanel(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 199;BA.debugLine="End Sub";
return "";
}
public static String  _rightbutton_screen2_click() throws Exception{
 BA.debugLineNum = 194;BA.debugLine="ChangePanel(True)";
_changepanel(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 195;BA.debugLine="End Sub";
return "";
}
public static String  _spinner_maptypes_itemclick(int _position,Object _value) throws Exception{
 BA.debugLineNum = 181;BA.debugLine="If Position = 0 Then chosen = \"streetview\"";
if (_position==(int)(0)) { 
_chosen = "streetview";};
 BA.debugLineNum = 182;BA.debugLine="If Position = 1 Then chosen = \"walkingdirections\"";
if (_position==(int)(1)) { 
_chosen = "walkingdirections";};
 BA.debugLineNum = 183;BA.debugLine="If Position = 2 Then chosen = \"driving\"";
if (_position==(int)(2)) { 
_chosen = "driving";};
 BA.debugLineNum = 184;BA.debugLine="If Position = 3 Then chosen = \"kidsafe\"";
if (_position==(int)(3)) { 
_chosen = "kidsafe";};
 BA.debugLineNum = 185;BA.debugLine="If Position = 4 Then chosen = \"worldtourstreet\"";
if (_position==(int)(4)) { 
_chosen = "worldtourstreet";};
 BA.debugLineNum = 186;BA.debugLine="drawmap ' draw the map in webview based on the chosen map type";
_drawmap();
 BA.debugLineNum = 187;BA.debugLine="End Sub";
return "";
}
public static String  _startgps() throws Exception{
xtremelyvirtualstudio.xvs.Tracked.TurnGPS _turnon = null;
 BA.debugLineNum = 171;BA.debugLine="Dim turnOn As TurnGPS";
_turnon = new xtremelyvirtualstudio.xvs.Tracked.TurnGPS();
 BA.debugLineNum = 172;BA.debugLine="turnOn.Initialize()";
_turnon.Initialize(mostCurrent.activityBA);
 BA.debugLineNum = 173;BA.debugLine="turnOn.turnGPSOn";
_turnon.turnGPSOn();
 BA.debugLineNum = 174;BA.debugLine="Gps1.Initialize(\"GPS\")";
_gps1.Initialize("GPS");
 BA.debugLineNum = 175;BA.debugLine="GPS1.Start(0, 0)";
_gps1.Start(processBA,(long)(0),(float)(0));
 BA.debugLineNum = 176;BA.debugLine="End Sub";
return "";
}
public static String  _webview1_pagefinished(String _url) throws Exception{
 BA.debugLineNum = 166;BA.debugLine="ProgressDialogHide ' close the process dialog opened earlier when the html code was being downloaded";
anywheresoftware.b4a.keywords.Common.ProgressDialogHide();
 BA.debugLineNum = 167;BA.debugLine="End Sub";
return "";
}
}
